<?xml version="1.0" encoding="utf-8"?>

<discovery xmlns="urn:slpdiscovery">
	
	<refreshRate>60</refreshRate>
	<timeout>4</timeout>
  <destinationAddressIPv6>ff02::1</destinationAddressIPv6>
	<methodList onlyMatching="true">

		<!-- SLP method to find "service:printer" devices -->
		<method name="Test" serviceType="printer.canon"> 
			<AttributeList>
				<devNameOID>x-can-PdInfoMachineName</devNameOID>
				<devTypeOID>x-can-PdInfoProductName</devTypeOID>
 				<sysDescOID>sysDescr</sysDescOID>
			</AttributeList>

			<deviceList>
				<device name="Canon Generic FAX Driver (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR3025</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon Generic FAX Driver (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR3035</devTypeStr>
						<devTypeStr>iR3045</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon Generic FAX Driver (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR5055</devTypeStr>
						<devTypeStr>iR5065</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon Generic FAX Driver (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR C3080</devTypeStr>
						<devTypeStr>iR C3480</devTypeStr>
						<devTypeStr>iR C3580</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon Generic FAX Driver (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR-ADV C9075</devTypeStr>
						<devTypeStr>iR-ADV C9065</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon Generic FAX Driver (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR-ADV C9075-A1</devTypeStr>
						<devTypeStr>iR-ADV C9070-A1</devTypeStr>
						<devTypeStr>iR-ADV C9065-A1</devTypeStr>
						<devTypeStr>iR-ADV C9060-A1</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon Generic FAX Driver (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR-ADV C7065</devTypeStr>
						<devTypeStr>iR-ADV C7055</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon Generic FAX Driver (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR-ADV C7065-A1</devTypeStr>
						<devTypeStr>iR-ADV C7055-A1</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon Generic FAX Driver (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR-ADV C5051</devTypeStr>
						<devTypeStr>iR-ADV C5045</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon Generic FAX Driver (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR-ADV C5035</devTypeStr>
						<devTypeStr>iR-ADV C5030</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon Generic FAX Driver (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR-ADV C5051-B1</devTypeStr>
						<devTypeStr>iR-ADV C5045-B1</devTypeStr>
						<devTypeStr>iR-ADV C5035-B1</devTypeStr>
						<devTypeStr>iR-ADV C5030-B1</devTypeStr>
					</matchingDevTypeStrs>
				</device>
				
				<device name="Canon Generic FAX Driver (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR2520</devTypeStr>
					</matchingDevTypeStrs>
				</device>
				
				<device name="Canon Generic FAX Driver (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR2525</devTypeStr>
						<devTypeStr>iR2530</devTypeStr>
					</matchingDevTypeStrs>
				</device>
				
				<device name="Canon Generic FAX Driver (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR2535</devTypeStr>
						<devTypeStr>iR2545</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon Generic FAX Driver (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR-ADV 6065</devTypeStr>
						<devTypeStr>iR-ADV 6055</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon Generic FAX Driver (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR-ADV 6075</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon Generic FAX Driver (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR-ADV 6075-U1</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon Generic FAX Driver (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR-ADV 6065-U1</devTypeStr>
						<devTypeStr>iR-ADV 6055-U1</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon Generic FAX Driver (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR-ADV C2020</devTypeStr>
						<devTypeStr>iR-ADV C2030</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon Generic FAX Driver (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>MF9280</devTypeStr>
						<devTypeStr>MF9220</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon Generic FAX Driver (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR C1028</devTypeStr>
						<devTypeStr>iR C1030</devTypeStr>
					</matchingDevTypeStrs>
				</device>
				<device name="Canon Generic FAX Driver (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR-ADV 4035</devTypeStr>
						<devTypeStr>iR-ADV 4025</devTypeStr>
					</matchingDevTypeStrs>
				</device>
				<device name="Canon Generic FAX Driver (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR-ADV 4051</devTypeStr>
						<devTypeStr>iR-ADV 4045</devTypeStr>
					</matchingDevTypeStrs>
				</device>
				<device name="Canon Generic FAX Driver (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR1730</devTypeStr>
						<devTypeStr>iR1740</devTypeStr>
						<devTypeStr>iR1750</devTypeStr>
					</matchingDevTypeStrs>
				</device>
				<device name="Canon Generic FAX Driver (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR-ADV 8105-U1</devTypeStr>
						<devTypeStr>iR-ADV 8095-U1</devTypeStr>
						<devTypeStr>iR-ADV 8085-U1</devTypeStr>
					</matchingDevTypeStrs>
				</device>
				<device name="Canon Generic FAX Driver (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR-ADV 8095</devTypeStr>
						<devTypeStr>iR-ADV 8085</devTypeStr>
					</matchingDevTypeStrs>
				</device>
				<device name="Canon Generic FAX Driver (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR-ADV 8105</devTypeStr>
					</matchingDevTypeStrs>
				</device>
				<device name="Canon Generic FAX Driver (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR-ADV C5255-B2</devTypeStr>
						<devTypeStr>iR-ADV C5250-B2</devTypeStr>
						<devTypeStr>iR-ADV C5240-B2</devTypeStr>
						<devTypeStr>iR-ADV C5235-B2</devTypeStr>
					</matchingDevTypeStrs>
				</device>
				<device name="Canon Generic FAX Driver (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR-ADV C5240</devTypeStr>
						<devTypeStr>iR-ADV C5235</devTypeStr>
					</matchingDevTypeStrs>
				</device>
				<device name="Canon Generic FAX Driver (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR-ADV C5255</devTypeStr>
						<devTypeStr>iR-ADV C5250</devTypeStr>
					</matchingDevTypeStrs>
				</device>
				<device name="Canon Generic FAX Driver (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR-ADV C2220</devTypeStr>
						<devTypeStr>iR-ADV C2230</devTypeStr>
					</matchingDevTypeStrs>
				</device>
				<device name="Canon Generic FAX Driver (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR-ADV C2225</devTypeStr>
					</matchingDevTypeStrs>
				</device>
				<device name="Canon Generic FAX Driver (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR-ADV C9280-A2</devTypeStr>
						<devTypeStr>iR-ADV C9270-A2</devTypeStr>
					</matchingDevTypeStrs>
				</device>
				<device name="Canon Generic FAX Driver (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR-ADV C9280</devTypeStr>
						<devTypeStr>iR-ADV C9270</devTypeStr>
					</matchingDevTypeStrs>
				</device>
				<device name="Canon Generic FAX Driver (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR-ADV 6265</devTypeStr>
						<devTypeStr>iR-ADV 6255</devTypeStr>
					</matchingDevTypeStrs>
				</device>
				<device name="Canon Generic FAX Driver (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR-ADV 6265-U2</devTypeStr>
						<devTypeStr>iR-ADV 6255-U2</devTypeStr>
					</matchingDevTypeStrs>
				</device>
				<device name="Canon Generic FAX Driver (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR-ADV 6275</devTypeStr>
					</matchingDevTypeStrs>
				</device>
				<device name="Canon Generic FAX Driver (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR-ADV 6275-U2</devTypeStr>
					</matchingDevTypeStrs>
				</device>
				<device name="Canon Generic FAX Driver (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR-ADV 8205-U2</devTypeStr>
						<devTypeStr>iR-ADV 8295-U2</devTypeStr>
						<devTypeStr>iR-ADV 8285-U2</devTypeStr>
					</matchingDevTypeStrs>
				</device>
				<device name="Canon Generic FAX Driver (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR-ADV 8205</devTypeStr>
					</matchingDevTypeStrs>
				</device>
				<device name="Canon Generic FAX Driver (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR-ADV 8295</devTypeStr>
						<devTypeStr>iR-ADV 8285</devTypeStr>
					</matchingDevTypeStrs>
				</device>
				<device name="Canon Generic FAX Driver (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR-ADV C7280-A2</devTypeStr>
						<devTypeStr>iR-ADV C7270-A2</devTypeStr>
						<devTypeStr>iR-ADV C7260-A2</devTypeStr>
					</matchingDevTypeStrs>
				</device>
				<device name="Canon Generic FAX Driver (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR-ADV C7270</devTypeStr>
						<devTypeStr>iR-ADV C7260</devTypeStr>
					</matchingDevTypeStrs>
				</device>
				<device name="Canon Generic FAX Driver (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR-ADV 400</devTypeStr>
						<devTypeStr>iR-ADV 500</devTypeStr>
					</matchingDevTypeStrs>
				</device>
				<device name="Canon Generic FAX Driver (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR-ADV 4225</devTypeStr>
						<devTypeStr>iR-ADV 4235</devTypeStr>
					</matchingDevTypeStrs>
				</device>
				<device name="Canon Generic FAX Driver (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR-ADV 4245</devTypeStr>
						<devTypeStr>iR-ADV 4251</devTypeStr>
					</matchingDevTypeStrs>
				</device>
			</deviceList>	
		</method>
	</methodList>
</discovery>
